<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    public function index () {
        return view('admin.pages.connection.connection');
    }

    public function login (Request $request)
    {

        $request->validate([
            'email'=>'required',
            'password'=>'required',
         ]);

         $credentials = $request->only('email','password');

         if(Auth::attempt($credentials)) {

            return redirect()->route('admin.dashboard');
         }else{
            return redirect()->route('admin.connection')->with('errors' , "email ou mot de passe incorrect");
         }

    }


    public function logout()
    {
        Auth::logout();
        return redirect()->route('admin.connection');
    }
}
