<?php

namespace App\Http\Controllers;

use App\Models\Post;
use App\Models\User;
use Illuminate\Http\Request;
use GuzzleHttp\Promise\Create;
use Illuminate\Support\Facades\Storage;

class PostController extends Controller
{
    public function index () {
        $posts = Post::all();
        return view('admin.pages.post.post' , compact('posts'));
    }

    public function addPost (Request $request ) {

        if($request->input('id') > 0) {
           $post = Post::findOrFail($request->input('id'));

           if($request->hasFile('image')) {

            Storage::delete('public/images/' . $post->image);

            $filename = time().'.'.$request->file('image')->extension();

            $path = $request->file('image')->storeAs(
             'ImagePost',
             $filename,
             'public'
            );

            $post->image = $path ;

           }
           $post->name = $request->name ;
           $post->description = $request->description ;
           $post->save();
           return redirect()->route('admin.post')->with('success' , "Post modifié avec succés");

        } else {
            $request->validate([
                'name'=>'required',
                'image'=>'required',
                'description'=>'required'
            ]);

            $filename = time().'.'.$request->file('image')->extension();

            $path = $request->file('image')->storeAs(
             'ImagePost',
             $filename,
             'public'
            );

             Post::create([
                 'name'=>$request->input('name'),
                 'image'=>$path,
                 'description'=> $request->input('description'),
             ]);

        }



        return redirect()->back()->with('success' , "Post ajouter avec succés");

    }

    public function show ($id) {
      $posts = Post::all();
      $post = Post::findOrFail($id);
      return view('admin.pages.post.post-edit',compact('post','posts'));
    }

    public function liste () {
        $posts = Post::all();
        return view('admin.pages.post.post-liste',compact('posts'));
    }

    public function delete ($id) {
        $post = Post::findOrFail($id);
        $post->delete();
        return redirect()->back();
    }

}
