<?php

namespace App\Http\Controllers;

use App\Models\Product;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class ProductController extends Controller
{
    public function index () {
        $products = Product::all();
        return view('admin.pages.product.product' , compact('products'));
    }

    public function addProduct (Request $request ) {

        // dd($request->all());

        if($request->input('id') > 0) {
           $product = Product::findOrFail($request->input('id'));

           if($request->hasFile('image')) {

            // Storage::delete('public/images/' . $product->image);

            // $filename = time().'.'.$request->file('image')->extension();

            // $path = $request->file('image')->storeAs(
            //  'ImagePost',
            //  $filename,
            //  'public'
            // );

            $filename = time() . '_' .$request->file('image')->getClientOriginalName();
            $destinationPath = public_path('/photos/produits');
            $request->file('image')->move($destinationPath, $filename); //Ajouter photo

            $product->image = $filename ;

           }
           $product->name = $request->name ;
           $product->description = $request->description ;
           $product->price = $request->input('price');
           $product->quantity = $request->input('quantity');
           $product->save();
           return redirect()->route('admin.product')->with('success' , "product modifié avec succés");

        } else {
            $request->validate([
                'name'=>'required',
                'image'=>'required',
                'description'=>'required',
                'price'=>'required',
                'quantity'=>'required'
            ]);

            $filename = time() . '_' .$request->file('image')->getClientOriginalName();
            $destinationPath = public_path('/photos/produits');
            $request->file('image')->move($destinationPath, $filename); //Ajouter photo
             Product::create([
                 'name'=>$request->input('name'),
                 'image'=>$filename,
                 'description'=> $request->input('description'),
                 'price'=>$request->input('price'),
                'quantity'=>$request->input('quantity'),
             ]);

        }

        return redirect()->back()->with('success' , "Product ajouter avec succés");

    }

    public function show ($id) {
        $products = Product::all();
        $product = Product::findOrFail($id);
        return view('admin.pages.product.product-edite',compact('product','products'));
    }

    public function delete ($id) {
        $post = Product::findOrFail($id);
        $post->delete();
        return redirect()->back()->with('success' , "Product supprimer avec succés");;
    }

    public function liste () {
        $products = Product::all();
        return view('admin.pages.product.product-liste',compact('products'));
    }
}
