<?php

namespace App\Http\Controllers;

use App\Models\Role;
use Illuminate\Http\Request;

class RoleController extends Controller
{
    public function index () {
        $roles = Role::all();
        return view('admin.pages.role.role',compact('roles'));
    }

    public function addRole (Request $request ) {

        if($request->input('id') > 0) {
           $post = Role::findOrFail($request->input('id'));
           $post->name = $request->name ;
           $post->save();
           return redirect()->route('admin.role')->with('success' , "Role modifié avec succés");

        } else {
            $request->validate([
                'name'=>'required',
            ]);

            Role::create([
                 'name'=>$request->input('name'),
             ]);

        }

        return redirect()->back()->with('success' , "Role ajouter avec succés");

    }

    public function show ($id) {
        $roles = Role::all();
        $role = Role::findOrFail($id);
        return view('admin.pages.role.role-edite',compact('role','roles'));
    }

    public function delete ($id) {
        $role = Role::findOrFail($id);
        $role->delete();
        return redirect()->back()->with('success' , "Product supprimer avec succés");;
    }
}
