@extends('admin.layouts.app')

@section('content')
    <div class="container-fluid  dashboard-content">
        <!-- ============================================================== -->
        <!-- pageheader -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                <div class="page-header">
                    {{-- <h2 class="pageheader-title">Data Tables</h2>
                <p class="pageheader-text">Proin placerat ante duiullam scelerisque a velit ac porta, fusce sit amet vestibulum mi. Morbi lobortis pulvinar quam.</p> --}}
                    <div class="page-breadcrumb">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#" class="breadcrumb-link">Dashboard</a></li>
                                <li class="breadcrumb-item"><a href="#" class="breadcrumb-link">Listes</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Liste des postes</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- end pageheader -->
        <!-- ============================================================== -->
        <div class="row">
            <!-- ============================================================== -->
            <!-- basic table  -->
            <!-- ============================================================== -->
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                <div class="card">
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif
                    <form class="form" method="POST" action="{{ route('admin.add.post') }}"
                        enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">

                            <label for="exampleInputPassword1">Nom</label>
                            <input type="text" class="form-control" id="exampleInputPassword1" required name="name"
                                placeholder="Nom du post" value="{{ $post->name }}">
                        </div>


                        <div class="form-group">
                            <label for="exampleFormControlTextarea1">Description</label>
                            <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" name="description"> {{ $post->description }}</textarea>
                        </div>

                        <div class="form-group">
                            <input type="text" id="" name="id" value="{{ $post->id }}" hidden>
                            <label for="exampleInputPassword1">image</label>
                            <input type="file" class="form-control" id="exampleInputPassword1" name="image"
                                placeholder="image du post">

                            <img src="{{ asset(Storage::url($post->image)) }}" width="100" height="100">

                        </div>
                        <button type="submit" class="btn btn-primary mb-2">Editer</button>
                    </form>
                    <!-- ============================================================== -->
                    <!-- end basic table  -->
                    <!-- ============================================================== -->

                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12" style="width:100%">
                        <div class="card">
                            <h5 class="card-header">Liste des Types angres</h5>

                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered first">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Nom</th>
                                                <th>Image</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($posts as $post)
                                                <tr>
                                                    <td>{{ $post->id }}</td>
                                                    <td>{{ $post->name }}</td>
                                                    <td> <img class="img-fluid"
                                                            src="{{ asset(Storage::url($post->image)) }}" width="100"
                                                            height="100"></td>

                                                    <td>
                                                    <td>
                                                        <div class="">

                                                            {{-- <a href=""><button type="button" data-toggle="tooltip" title="" class="btn btn-info btn-sm" data-original-title="Voir">
                                                    <i class="fa fa-eye"></i> Voir
                                                </button></a> --}}

                                                            <a href="">
                                                                <button type="button" class="btn btn-primary btn-sm">
                                                                    <i class="fa fa-pen"></i> Modifier
                                                                </button>
                                                            </a>
                                                            <button type="button" onclick="deleteData()"
                                                                class="btn btn-danger btn-sm waves-effect waves-light"
                                                                data-bs-toggle="modal" data-bs-target="#confirm">
                                                                <i class="fa fa-trash"></i> Supprimer
                                                            </button>

                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach


                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th>#</th>
                                                <th>Nom</th>
                                                <th>Image</th>
                                                <th>Action</th>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    @endsection
