@extends('admin.layouts.app')

@section('content')
    <div class="container-fluid  dashboard-content">
        <!-- ============================================================== -->
        <!-- pageheader -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                <div class="page-header">
                    {{-- <h2 class="pageheader-title">Data Tables</h2>
                <p class="pageheader-text">Proin placerat ante duiullam scelerisque a velit ac porta, fusce sit amet vestibulum mi. Morbi lobortis pulvinar quam.</p> --}}
                    <div class="page-breadcrumb">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#" class="breadcrumb-link">Dashboard</a></li>
                                <li class="breadcrumb-item"><a href="#" class="breadcrumb-link">Listes</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Liste des produits</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- end pageheader -->
        <!-- ============================================================== -->
        <div class="row">
            <!-- ============================================================== -->
            <!-- basic table  -->
            <!-- ============================================================== -->
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                <div class="card">
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif
                    <form class="form" method="POST" action="{{ route('admin.add.product') }}"
                        enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">

                            <label for="exampleInputPassword1">Nom</label>
                            <input type="text" class="form-control" id="exampleInputPassword1" required name="name"
                                placeholder="Nom du post" value="{{ $product->name }}">
                        </div>
                        <div class="form-group">

                            <label for="exampleInputPassword1">Prix</label>
                            <input type="text" class="form-control" id="exampleInputPassword1" required name="price"
                                placeholder="Prix" value="{{ $product->price }}">
                        </div>

                        <div class="form-group">

                            <label for="exampleInputPassword1">Qantité</label>
                            <input type="text" class="form-control" id="exampleInputPassword1" required name="quantity"
                                placeholder="Nom du post" value="{{ $product->quantity }}">
                        </div>


                        <div class="form-group">
                            <label for="exampleFormControlTextarea1">Description</label>
                            <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" name="description"> {{ $product->description }}</textarea>
                        </div>

                        <div class="form-group">
                            <input type="text" id="" name="id" value="{{ $product->id }}" hidden>
                            <label for="exampleInputPassword1">image</label>
                            <input type="file" class="form-control" id="exampleInputPassword1" name="image"
                                placeholder="image du produit">

                            <img src="{{ asset(Storage::url($product->image)) }}" width="100" height="100">

                        </div>
                        <button type="submit" class="btn btn-primary mb-2">Editer</button>
                    </form>
                    <!-- ============================================================== -->
                    <!-- end basic table  -->
                    <!-- ============================================================== -->

                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12" style="width:100%">
                        <div class="card">
                            <h5 class="card-header">Liste des produits</h5>

                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered first">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Nom</th>
                                                <th>Prix</th>
                                                <th>Quatité</th>
                                                <th>Image</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($products as $product)
                                                <tr>

                                                    <td>{{ $product->id }}</td>
                                                    <td>{{ $product->name }}</td>
                                                    <td>{{ $product->price }}</td>


                                                    <td>{{ $product->quantity }}</td>
                                                    <td> <img class="img-fluid"
                                                            src="{{ asset(Storage::url($product->image)) }}" width="100"
                                                            height="100"></td>

                                                    <td>
                                                    <td>
                                                        <div class="">

                                                            {{-- <a href=""><button type="button" data-toggle="tooltip" title="" class="btn btn-info btn-sm" data-original-title="Voir">
                                                    <i class="fa fa-eye"></i> Voir
                                                </button></a> --}}

                                                            <a
                                                                href="{{ route('admin.show.product', $id = $product->id) }}">
                                                                <button type="button" class="btn btn-primary btn-sm">
                                                                    <i class="fa fa-pen"></i> Modifier
                                                                </button>
                                                            </a>
                                                            <button type="button"
                                                                onclick="deleteData({{ $product->id }})"
                                                                class="btn btn-danger btn-sm waves-effect waves-light"
                                                                data-toggle="modal" data-target="#modalConfirmDeletes">
                                                                <i class="fa fa-trash"></i> Supprimer
                                                            </button>

                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforeach


                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <th>#</th>
                                                <th>Nom</th>
                                                <th>Prix</th>
                                                <th>Quatité</th>
                                                <th>Image</th>
                                                <th></th>
                                            </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>

        <!--Modal: modalConfirmDelete-->
        <div class="modal fade" id="modalConfirmDeletes" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-sm modal-notify modal-danger" role="document">
                <!--Content-->
                <div class="modal-content text-center">
                    <!--Header-->
                    <div class="modal-header d-flex justify-content-center">
                        <p class="heading">Vous êtes sûr de supprimer cet post ?</p>
                    </div>

                    <!--Body-->
                    <div class="modal-body">

                        <i class="fas fa-times fa-4x animated rotateIn"></i>

                    </div>

                    <!--Footer-->
                    <div class="modal-footer flex-center">
                        <form method="GET" id="deleteForm" action="">

                            @csrf
                            @method('DELETE')

                            <button type="submit" class="btn btn-outline-danger">Oui</button>
                            <button type="button" class="btn btn-danger waves-effect" data-dismiss="modal">Non</button>
                        </form>

                    </div>
                </div>
                <!--/.Content-->
            </div>
        </div>
        <!--Modal: modalConfirmDelete-->
        <script>
            function deleteData(id) {
                var id = id;
                var url = '{{ route('admin.delete.product', ':id') }}';
                url = url.replace(':id', id);
                $("#deleteForm").attr('action', url);
            }

            function formSubmit() {
                $("#deleteForm").submit();
            }
        </script>
    @endsection
